Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class AxisInfo

    java.lang.Object
      jet.report.xls.AxisInfo

Direct Known Subclasses:
  YAxisInfo

    public class AxisInfo

extends java.lang.Object

Contains the information of chart axis in the file.

Field Summary
`static byte` | `CROSS` The tick type is Cross.
`static byte` | `INSIDE` The tick type is Inside.
`static byte` | `NONE` The tick mark type is None.
`static byte` | `OUTSIDE` The tick type is Outside.

Constructor Summary
`AxisInfo()`
`AxisInfo(LineFormatInfo axisLine, FontInfo labelInfo, byte tickType, short n, boolean showLabel)` Constructs an AxisInfo class and sets its fields appropriately.

Method Summary
`LineFormatInfo` | `getAxisLine()` Gets the information of the chart axis.
`FontInfo` | `getLabelInfo()` Gets the information of the axis label.
`short` | `getNTick()` Gets to show a label every n tick marks.
`boolean` | `getShowLabel()` Gets whether to show axis label or not.
`byte` | `getTickType()` Gets the type of tick mark.
`void` | `setAxisLine(LineFormatInfo axisLine)` Sets the information of the chart axis.
`void` | `setLabelInfo(FontInfo labelInfo)` Sets the information of the axis label.
`void` | `setNTick(short n)` Sets to show a label every n tick marks.
`void` | `setShowLabel(boolean b)` Sets whether to show axis label or not.
`void` | `setTickType(byte type)` Sets the type of tick mark.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final byte NONE

  The tick mark type is None.

  See Also:
    Constant Field Values

### INSIDE

    public static final byte INSIDE

  The tick type is Inside.

  See Also:
    Constant Field Values

### OUTSIDE

    public static final byte OUTSIDE

  The tick type is Outside.

  See Also:
    Constant Field Values

### CROSS

    public static final byte CROSS

  The tick type is Cross.

  See Also:
    Constant Field Values

Constructor Detail

### AxisInfo

    public AxisInfo()

### AxisInfo

    public AxisInfo(LineFormatInfo axisLine,
                    FontInfo labelInfo,
                    byte tickType,
                    short n,
                    boolean showLabel)

  Constructs an AxisInfo class and sets its fields appropriately.

  Parameters:
    `axisLine` - Information of axis line
    `labelInfo` - Information of label
    `tickType` - Type of tick mark
    `n` - shows a label every n tick marks
    `showLabel` - Shows label or not

Method Detail

### setAxisLine

    public void setAxisLine(LineFormatInfo axisLine)

  Sets the information of the chart axis.

  Parameters:
    `axisLine` - the Information of the chart axis

### getAxisLine

    public LineFormatInfo getAxisLine()

  Gets the information of the chart axis.

  Returns:
    the information of the chart axis

### setLabelInfo

    public void setLabelInfo(FontInfo labelInfo)

  Sets the information of the axis label.

  Parameters:
    `labelInfo` - the information of the axis label

### getLabelInfo

    public FontInfo getLabelInfo()

  Gets the information of the axis label.

  Returns:
    the information of the axis label

### setTickType

    public void setTickType(byte type)

  Sets the type of tick mark.

  Parameters:
    `type` - the type of tick mark

### getTickType

    public byte getTickType()

  Gets the type of tick mark.

  Returns:
    the type of tick mark

### setNTick

    public void setNTick(short n)

  Sets to show a label every n tick marks.

  Parameters:
    `n` - shows a label every n tick marks

### getNTick

    public short getNTick()

  Gets to show a label every n tick marks.

  Returns:
    shows a label every n tick marks

### setShowLabel

    public void setShowLabel(boolean b)

  Sets whether to show axis label or not.

  Parameters:
    `b` - whether to show axis label or not

### getShowLabel

    public boolean getShowLabel()

  Gets whether to show axis label or not.

  Returns:
    whether to show axis label or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD